### Name: CAPM.utils
### Title: utility functions for CAPM CML, SML, and RiskPremium
### Aliases: CAPM.utils CAPM.RiskPremium CAPM.CML CAPM.CML.slope
###   CAPM.SML.slope
### Keywords: ts multivariate distribution models

### ** Examples

data(managers)
managers.length = dim(managers)[1]
start = rownames(managers[1,])
start
end = rownames(managers[managers.length,])
rf = managers[,10,drop=FALSE]

Rb = managers[,"SP500.TR",drop=FALSE]

CAPM.CML.slope(Rb, rf )

CAPM.CML(managers[,"HAM1",drop=FALSE], Rb, rf)

CAPM.RiskPremium(Rb, rf)

CAPM.RiskPremium(managers[,"HAM1",drop=FALSE], rf)

CAPM.SML.slope(Rb, rf)

# should create plots like in Ruppert 7.1 7.2




